Package org.eclipse.cdt.core.dom.ast

## Interface IASTDeclarationStatement

All Superinterfaces:
  `IASTAttributeOwner`, `IASTNode`, `IASTStatement`

    public interface IASTDeclarationStatement
    extends IASTStatement

A declaration statement that introduces a declaration.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `DECLARATION` `DECLARATION` represents the relationship between a declaration statement and the declaration it wraps.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTStatement

`EMPTY_STATEMENT_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`IASTDeclarationStatement` `copy()` Returns a mutable copy of the tree rooted at this node.
`IASTDeclarationStatement` `copy​(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`IASTDeclaration` `getDeclaration()` Gets the declaration introduced by this statement.
`void` `setDeclaration​(IASTDeclaration declaration)` Set the declaration for this statement.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### DECLARATION

    static final ASTNodeProperty DECLARATION

`DECLARATION` represents the relationship between a declaration statement and the declaration it wraps.

### Method Detail

#### getDeclaration

    IASTDeclaration getDeclaration()

Gets the declaration introduced by this statement.

Returns:
  the declaration

#### setDeclaration

    void setDeclaration​(IASTDeclaration declaration)

Set the declaration for this statement.

Parameters:
  `declaration` -

#### copy

    IASTDeclarationStatement copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTStatement`
Since:
  5.1

#### copy

    IASTDeclarationStatement copy​(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTStatement`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3